Subject: Undiagnosed "extract" failures when disk quota exceeded

From: [email-masked] (Aidan Evans)
Date: 19 Nov 1996 21:59:13 GMT

Using Pine 3.95 on AIX 4.1.4 with disk quotas enabled:

  A user reported that a file was destroyed when he attempted to extract a
message and append it to the file and in doing so exceeded his disk quota.
When I looked at the file, a 600K+ pre-destruction copy of which was in our
backup system, it had a size of zero.  
  I have not been able to duplicate this exactly, but I ran into an
alternate problem.
  I created a test file and set my quota down to within a few blocks of my
current disk usage.  I then repeated extracted a message of about 800 bytes
and appended it to the test file.  When I reached the disk quota I got a
message at the bottom of the screen that the extract operation had failed.
This is fine, and the test file was intact-ish: the original data was there
plus part of the message being extracted.  I'm not actually over quota; AIX
says I'm within one block of it:

Disk quotas for user ae (uid 4708): 
     Filesystem  blocks   quota   limit   grace   files   quota   limit   grace
          /home   46522       0   46523            4198       0       0        

  I then attempted another extract of the about 800 bytes file, specified to
append to the test file, and was told that the append had succeeded.
However, the test file was unchanged.
  I did an extract to a new file, and was also told that it had succeeded.
The file had been created, but was empty.

Aidan Evans | [email-masked] | Computer Facilities & Operations
            | 494-3332     | University Computing & Information Services